AgentPersistenceDelegate (The Data Transfer Agent Service 2.1.3-4.7.1-132914 API)
Date: 2017-10-17

org.gcube.datatransfer.agent.impl.state

## Class AgentPersistenceDelegate

- java.lang.Object
- - org.gcube.common.core.persistence.GCUBEPersistenceDelegate<RESOURCEID,RESOURCE>
  - - org.gcube.common.core.persistence.GCUBEFilePersistenceDelegate<org.gcube.common.core.state.GCUBEWSResourceKey,RESOURCE>
    - - org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate<AgentResource>
      - - org.gcube.datatransfer.agent.impl.state.AgentPersistenceDelegate

-     public class AgentPersistenceDelegate
      extends org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate<AgentResource>

- - ### Field Summary

    - ### Fields inherited from class org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate

      `ctxt, WSRESOURCE_FILE_SUFFIX`

    - ### Fields inherited from class org.gcube.common.core.persistence.GCUBEPersistenceDelegate

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentPersistenceDelegate()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onLoad(AgentResource resource, ObjectInputStream stream)`
    `protected void` | `onStore(AgentResource resource, ObjectOutputStream stream)`

    - ### Methods inherited from class org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate

      `getFileFromResource, getIDFromFileName, getSuffix, initialise`

    - ### Methods inherited from class org.gcube.common.core.persistence.GCUBEFilePersistenceDelegate

      `getResourceIdentifiers, getStorageRoot, onLoad, onRemove, onStore`

    - ### Methods inherited from class org.gcube.common.core.persistence.GCUBEPersistenceDelegate

      `load, remove, store`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentPersistenceDelegate

          public AgentPersistenceDelegate()

  - ### Method Detail

    - #### onLoad

          protected void onLoad(AgentResource resource,
                    ObjectInputStream stream)
                         throws Exception

      Overrides:
        `onLoad` in class `org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate<AgentResource>`
      Throws:
        `Exception`

    - #### onStore

          protected void onStore(AgentResource resource,
                     ObjectOutputStream stream)
                          throws Exception

      Overrides:
        `onStore` in class `org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate<AgentResource>`
      Throws:
        `Exception`

Copyright © 2017. All Rights Reserved.